/*
 * Project Name MFC DRIVER IN WINCE
 * Copyright  2009 Samsung Electronics Co, Ltd. All Rights Reserved.
 *
 * This file implements MFC driver.
 *
 * @name MFC DRIVER Module (MfcIntr.h)
 * @author Jiyoung Shin (idon.shin@samsung.com)
 * @date 2009/06/05
 */


#ifndef __SAMSUNG_SYSLSI_APDEV_MFC_INTR_H__
#define __SAMSUNG_SYSLSI_APDEV_MFC_INTR_H__

#include "MfcCommon.h"

#ifdef __cplusplus
extern "C" {
#endif

int WaitForDone(MFC_WAIT_DONE_MODE mode, MFC_FACADE_RESPONSE command);
void MFCClearIntr();
SSBSIP_MFC_ERROR_CODE CreateIntrResource();
void DeleteIntrResource(void);

#ifdef __cplusplus
}
#endif

#endif /* __SAMSUNG_SYSLSI_APDEV_MFC_INTR_H__ */
